---
title: MqttView - Mqtt连接
nav:
  title: 组件
  path: /components
group:
  path: /
---

# PandaMqttView Mqtt 连接

<code src="./demos/Base.tsx">

## API

| 参数        | 说明                | 类型                          | 默认值       |
| ----------- | ------------------- | ----------------------------- | ------------ |
| mqttIP      | Mqtt 连接 IP 和端口 | string                        | -            |
| mqttPath    | Mqtt 连接路径       | string                        | /mqtt        |
| mqttSsl     | 是否加密            | bool                          | false        |
| siteCode    | 站点编码            | string                        | -            |
| devices     | 设备编码集合        | array                         | []           |
| callback    | 订阅的回调          | function(value,code,topic){ } | function(){} |
| controlback | 控制的回调          | function(value,code,topic){ } | function(){} |

## 方法

| 名称 | 描述 |
| --- | --- |
| saveWaterMqtt() | Mqtt 连接并订阅数据 |
| disSaveWaconnect() | Mqtt 连接断开 |
| onSendWaMessageArrived(userName,password,callbackGuid,devicecode,tag,type,val,controlMode) | Mqtt 消息发送 |
