---
title: Empty - 空状态
nav:
  title: 组件
  path: /components
group:
  path: /
---

# Empty 空状态

空状态时的展示占位图。

## 何时使用

- 当目前没有数据时，用于显式的用户提示。
- 初始化场景时的引导创建流程。

## 代码演示

<code src="./demos/Basic.tsx">

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| description | 自定义描述内容 | ReactNode | - |
| image | 设置显示图片，为 string 时表示自定义图片地址 | ReactNode | - |
| theme | 设置主题 | string | 可选值：light/dark， 默认 light |
| size | 设置图片尺寸 | string | 可选值：small/middle/large， 默认 middle |
| statusCode | 状态码 | string | 可选值：0/-1/-2， 默认 0 |
| imageStyle | 图片样式 | CSSProperties | - |
