---
title: ImageSelect - 图片选择
nav:
  title: 组件
  path: /components
group:
  path: /
---

# ImageSelect 图片选择

基础业务组件

- 允许单文件夹下图片选择
- 允许多文件夹下图片选择
- 允许搜索、自动定位选中图片

## 何时使用

- 在系统图片选择时。
- 在设备图例选择时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| src | 封面图片地址 | string | - |
| url | 默认 url 地址 | string | window.location.origin |
| dataSource | 模态框数据源 | array | - |
| width | 模态框宽度 | number | 700 |
| title | 模态框标题 | string | 点击选择图片文件 |
| onSearch | 搜索框输入事件的回调，会返回搜索框输入信息 | function(value){ } | - |
| onSelect | 选中模态框的图片后的回调，会返回选中图片信息 | function(value){ } | - |
