---
title: RealTimeInfo - 实时数据查看
nav:
  title: 组件
  path: /components
group:
  path: /
---

# RealTimeInfo 实时数据查看

基础业务组件

- 查看指标名称对应的实时数据
- 允许对重点指标和全部指标筛选
- 允许搜索指标名称

## 何时使用

- 实时指标监控，查看实时指标数据时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

api 参考 Antd Table 组件 https://ant.design/components/table-cn/#API

| 参数          | 说明                                       | 类型               | 默认值         |
| ------------- | ------------------------------------------ | ------------------ | -------------- |
| guid          | 采集编码                                   | string             | -              |
| placeholder   | 搜索框占位符                               | string             | 输入指标名称等 |
| targetValue   | 选中‘重要指标’或者‘全部’                   | string             | emphasis       |
| onSearch      | 搜索框输入事件的回调，会返回搜索框输入信息 | function(value){ } | -              |
| onRadioChange | 指标选择事件的回调，会返回选中的指标值     | function(value){ } | -              |
